#include "analog.h"
#include "simulator.h"
#include <stdio.h>
#include <stdlib.h>

void CheckTimerStack(void);

static bool analog_initialised = false;

void analog_init(void) {
  sim_info("analog_init: not implemented in simulator");
  analog_initialised = true;
}

void CheckMainStack(void)
{
  void *ptr = malloc(1);
  if (ptr)
  {
    printf("%d bytes free in the main stack\n", (int)(&ptr) - (int)ptr);
    free(ptr);
  }
  else
    printf("No more space!!!!!\n"); 
}
  
uint16_t analog_read(uint8_t channel) {
  if (analog_initialised != true)
  {
    printf("analog_initialised = %d\n", analog_initialised);
    CheckMainStack();
    CheckTimerStack();
  }    
  sim_assert(analog_initialised, "analog_init() was not called before analog_read()");
  //sim_assert(sim_interrupts, "interrupts disabled");
  return 0;
}
